#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 9. General Libraries

- Prev

  fftw-3.3.10

- Next

  GLib-2.82.5

- Up
- Home

# fmt-11.1.4

## Introduction to fmt

The fmt package is an open-source formatting library providing a fast and safe alternative to C stdio and C++ iostreams.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/fmtlib/fmt/archive/11.1.4/fmt-11.1.4.tar.gz

- Download MD5 sum: 10c2ae163accd3b82e6b8b4dff877645

- Download size: 688 KB

- Estimated disk space required: 44 MB (with tests)

- Estimated build time: 0.4 SBU (using parallelism=4; with tests)

## Installation of fmt

Install fmt by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr     \
          -D CMAKE_INSTALL_LIBDIR=/usr/lib \
          -D BUILD_SHARED_LIBS=ON          \
          -D FMT_TEST=OFF                  \
          -G Ninja ..                      &&
    ninja

If you have enabled tests, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D FMT_TEST=OFF`: This switch initializes the package tests. Set to ON if you wish to run tests.

## Contents

Installed Programs: None
Installed Libraries: libfmt.so
Installed Directories: /usr/include/fmt and /usr/lib/cmake/fmt

- Prev

  fftw-3.3.10

- Next

  GLib-2.82.5

- Up
- Home